## GladePalette

GladePalette — A widget to select a GladeWidgetClass for addition.

## Functions

GtkWidget * | glade_palette_new ()
void | glade_palette_deselect_current_item ()
GladeWidgetAdaptor * | glade_palette_get_current_item ()
GladeItemAppearance | glade_palette_get_item_appearance ()
void | glade_palette_set_item_appearance ()
gboolean | glade_palette_get_use_small_item_icons ()
void | glade_palette_set_use_small_item_icons ()
void | glade_palette_set_show_selector_button ()
gboolean | glade_palette_get_show_selector_button ()

## Properties

gpointer | catalogs | Read / Write / Construct Only
gpointer | current-item | Read
GladeItemAppearance | item-appearance | Read / Write
gboolean | show-selector-button | Read / Write
gboolean | use-small-item-icons | Read / Write

## Signals

void | refresh | Run Last
void | toggled | Run Last

## Types and Values

struct | GladePalette
enum | GladeItemAppearance

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── GladePalette

## Implemented Interfaces

GladePalette implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

GladePalette is responsible for displaying the list of available GladeWidgetClass types and publishing the currently selected class to the Glade core.

## Functions

### glade_palette_new ()

    GtkWidget *
    glade_palette_new (const GList *catalogs);

Creates a new GladePalette widget

#### Parameters

catalogs | the widget catalogs for the palette. |

#### Returns

a new GladePalette

### glade_palette_deselect_current_item ()

    void
    glade_palette_deselect_current_item (GladePalette *palette,
                                         gboolean sticky_aware);

Deselects the currently selected item

#### Parameters

palette | a GladePalette |
sticky_aware | whether to consider sticky selection mode |

### glade_palette_get_current_item ()

    GladeWidgetAdaptor *
    glade_palette_get_current_item (GladePalette *palette);

Gets the GladeWidgetAdaptor of the currently selected item.

#### Parameters

palette | a GladePalette |

#### Returns

the GladeWidgetAdaptor of currently selected item, or NULL if no item is selected.

### glade_palette_get_item_appearance ()

    GladeItemAppearance
    glade_palette_get_item_appearance (GladePalette *palette);

#### Parameters

palette | a GladePalette |

#### Returns

The appearance of the palette items

### glade_palette_set_item_appearance ()

    void
    glade_palette_set_item_appearance (GladePalette *palette,
                                       GladeItemAppearance item_appearance);

Sets the appearance of the palette items.

#### Parameters

palette | a GladePalette |
item_appearance | the item appearance |

### glade_palette_get_use_small_item_icons ()

    gboolean
    glade_palette_get_use_small_item_icons
                                   (GladePalette *palette);

#### Parameters

palette | a GladePalette |

#### Returns

Whether small item icons are used

### glade_palette_set_use_small_item_icons ()

    void
    glade_palette_set_use_small_item_icons
                                   (GladePalette *palette,
                                    gboolean use_small_item_icons);

Sets whether to use small item icons.

#### Parameters

palette | a GladePalette |
use_small_item_icons | Whether to use small item icons |

### glade_palette_set_show_selector_button ()

    void
    glade_palette_set_show_selector_button
                                   (GladePalette *palette,
                                    gboolean show_selector_button);

Sets whether to show the internal widget selector button

#### Parameters

palette | a GladePalette |
show_selector_button | whether to show selector button |

### glade_palette_get_show_selector_button ()

    gboolean
    glade_palette_get_show_selector_button
                                   (GladePalette *palette);

#### Parameters

palette | a GladePalette |

#### Returns

Whether the selector button is visible

## Types and Values

### struct GladePalette

    struct GladePalette;

### enum GladeItemAppearance

#### Members

GLADE_ITEM_ICON_AND_LABEL |  |
GLADE_ITEM_ICON_ONLY |  |
GLADE_ITEM_LABEL_ONLY |  |

## Property Details

### The `“catalogs”` property

      “catalogs”                 gpointer

The widget catalogs for the palette.

Flags: Read / Write / Construct Only

### The `“current-item”` property

      “current-item”             gpointer

The GladeWidgetAdaptor of the currently selected item.

Flags: Read

### The `“item-appearance”` property

      “item-appearance”          GladeItemAppearance

The appearance of the palette items.

Flags: Read / Write

Default value: GLADE_ITEM_ICON_ONLY

### The `“show-selector-button”` property

      “show-selector-button”     gboolean

Whether to show the internal selector button.

Flags: Read / Write

Default value: TRUE

### The `“use-small-item-icons”` property

      “use-small-item-icons”     gboolean

Whether to use small icons to represent items.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“refresh”` signal

    void
    user_function (GladePalette *gladepalette,
                   gpointer      user_data)

Flags: Run Last

### The `“toggled”` signal

    void
    user_function (GladePalette *gladepalette,
                   gpointer      user_data)

Flags: Run Last